Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231157 - swapper hanging kernel during boot
Summary: swapper hanging kernel during boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 16:07 UTC by Fabio Bettoni
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 16:23:21 UTC


Attachments (Terms of Use)

Description Fabio Bettoni 2007-03-06 16:07:46 UTC
Description of problem:
kernel is hanging during boot time. It seems swapper.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2962.fc7 and kernel-2.6.20-1.2966.fc7
Last working kernel is kernel-2.6.20-1.2953.fc7

How reproducible:
Booting Fedora


Console log follows:

ELILO boot: Uncompressing Linux... done
Loading file initrd-2.6.20-1.2966.fc7.img...done
Linux version 2.6.20-1.2966.fc7 (brewbuilder@ia64-2.build.redhat.com) (gcc 
version 4.1.2 20070222 (Red Hat 4.1.2-3)) #1 SMP Mon Mar 5 17:40:53 EST 2007
EFI v1.10 by HP: SALsystab=0x3e528000 ACPI 2.0=0x3fe22000 SMBIOS=0x3e52a000 
HCDP=0x3fe20000
booting generic kernel on platform hpzx1
PCDP: v3 at 0x3fe20000
Early serial console at MMIO 0x84053000 (options '9600n8')
ACPI: RSDP 3FE22000, 0028 (r2     HP)
ACPI: XSDT 3FE2202C, 0094 (r1     HP   rx4640        0   HP        0)
ACPI: FACP 3FE36CD8, 00F4 (r3     HP   rx4640        0   HP        0)
ACPI: DSDT 3FE221C8, D0F5 (r1     HP   rx4640        7 INTL 20050309)
ACPI: FACS 3FE36DD0, 0040
ACPI: SPCR 3FE36E10, 0050 (r1     HP   rx4640        0   HP        0)
ACPI: DBGP 3FE36E60, 0034 (r1     HP   rx4640        0   HP        0)
ACPI: APIC 3FE37080, 00B0 (r1     HP   rx4640        0   HP        0)
ACPI: SPMI 3FE36E98, 0050 (r4     HP   rx4640        0   HP        0)
ACPI: CPEP 3FE36F50, 0034 (r1     HP   rx4640        0   HP        0)
ACPI: SSDT 3FE2F2C8, 01A7 (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE2F478, 0F65 (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE303E8, 11CD (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE315B8, 21B5 (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE33778, 21B5 (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE35938, 11CD (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE36B08, 00DC (r1     HP   rx4640        6 INTL 20050309)
ACPI: SSDT 3FE36BE8, 00E0 (r1     HP   rx4640        6 INTL 20050309)
Initial ramdisk at: 0xe0000040feb64000 (4372794 bytes)
SAL 3.1: HP version 4.10
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
Zone PFN ranges:
  DMA          1024 ->   262144
  Normal     262144 -> 17039360
early_node_map[7] active PFN ranges
    0:     1024 ->    63433
    0:    63631 ->    63818
    0:    65280 ->    65416
    0: 16842752 -> 17038335
    0: 17038336 -> 17039094
    0: 17039135 -> 17039232
    0: 17039264 -> 17039352
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Built 1 zonelists.  Total pages: 192703
Kernel command line: BOOT_IMAGE=scsi0:\EFI\redhat\vmlinuz-2.6.20-1.2966.fc7  
root=LABEL=/1 ro
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour VGA+ 80x25
Memory: 3979360k/4128368k available (6160k code, 168768k reserved, 5733k data, 
1904k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20070126
Boot processor id 0x0/0x0
Fixed BSP b0 value from CPU 1
CPU 1: synchronized ITC with CPU 0 (last diff -2 cycles, maxerr 639 cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.12 BogoMIPS).
migration_cost=6357
checking if image is initramfs... it is
Freeing initrd memory: 4256kB freed
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [L000] (0000:00)
ACPI: PCI Root Bridge [L001] (0000:20)
ACPI: PCI Root Bridge [L002] (0000:40)
ACPI: PCI Root Bridge [L004] (0000:80)
ACPI: PCI Root Bridge [L005] (0000:a0)
ACPI: PCI Root Bridge [L006] (0000:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 8 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 6, 1048576 bytes)
TCP established hash table entries: 524288 (order: 10, 20971520 bytes)
TCP bind hash table entries: 65536 (order: 7, 2097152 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1173196458.942:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
ksign: Installing public key data
Loading keyring
- Added public key 9E41EE11CACB7E3
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
mspec 4.0 initialized devices:  Cached, Uncached
EFI Time Services Driver v0.4
Linux agpgart interface v0.102 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.0: ttyS0 at MMIO 0x84054000 (irq = 49) is a 16550A
ACPI: PCI Interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.1: ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
0000:00:01.1: ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
0000:00:01.1: ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
EFI Variables Facility v0.08 2004-May-17
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
Freeing unused kernel memory: 1904kB freed
Red Hat nash version 6.0.8 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
USB Universal Host Controller Interface driver v3.0
Creating block device nodes.
Loading uhci-hcd.ko module
GSI 17 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI Interrupt 0000:00:02.0[A] -> Loading ohci-hcdGSI 17 (level, low) -> 
IRQ 50
.ko module
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 50, io mem 0x84052000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
GSI 18 (level, low) -> CPU 1 (0x0100) vector 51
ACPI: PCI Interrupt 0000:00:02.1[B] -> GSI 18 (level, low) -> IRQ 51
ohci_hcd 0000:00:02.1: OHCI Host Controller
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.1: irq 51, io mem 0x84051000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
GSI 23 (level, low) -> CPU 0 (0x0000) vector 52
ACPI: PCI Interrupt 0000:00:02.2[C] -> Loading ehci-hcd.ko module
GSI 23 (level, low) -> IRQ 52
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:02.2: irq 52, io mem 0x84050000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
SCSI subsystem initialized
Loading mbcache.ko module
Loading jbd.ko module
Loading ext3.ko module
Loading scsi_mod.ko module
Loading sd_mod.ko module
Fusion MPT base driver 3.04.04
Copyright (c) 1999-2007 LSI Logic Corporation
Loading scsi_transport_spi.ko module
Loading mptbase.ko module
Loading mptscsih.ko module
Fusion MPT SPI Host driver 3.04.04
Loading mptspi.ko module
GSI 27 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:20:01.0[A] -> GSI 27 (level, low) -> IRQ 53
mptbase: Initiating ioc0 bringup
ioc0: 53C1030: Capabilities={Initiator,Target}
scsi0 : ioc0: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=53
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input0
input: USB HID v1.00 Keyboard [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input1
input: USB HID v1.00 Mouse [P.I. Engineering PC Keyboard/Mouse to USB  Adapter] 
on usb-0000:00:02.1-1
GSI 28 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:20:01.1[B] -> GSI 28 (level, low) -> IRQ 54
mptbase: Initiating ioc1 bringup
ioc1: 53C1030: Capabilities={Initiator,Target}
scsi1 : ioc1: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=54
scsi 0:0:1:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target0:0:1: Beginning Domain Validation
 target0:0:1: Ending Domain Validation
 target0:0:1: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
scsi 1:0:0:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
Loading sym53c8xx.ko module
 target1:0:0: Beginning Domain Validation
 target1:0:0: Ending Domain Validation
 target1:0:0: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
GSI 71 (level, low) -> CPU 1 (0x0100) vector 55
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 55
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 55
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi2 : sym-2.2.3
scsi: waiting for bus probes to complete ...
Loading scsi_wait_scan.ko module
SCSI device sda: 143374738 512-byte hdwr sectors (73408 MB)
 target2:0:0: FAST-40 WIDE SCSI 80.0 MB/s ST (25 ns, offset 31)
scsi 2:0:0:0: Direct-Access     COMPAQ   BF07285A36       HPB6 PQ: 0 ANSI: 3
 target2:0:0: tagged command queuing enabled, command queue depth 16.
 target2:0:0: Beginning Domain Validation
sda: Write Protect is off
 target2:0:0: asynchronous
SCSI device sda: write cache: disabled, read cache: enabled, supports DPO and 
FUA
SCSI device sda: 143374738 512-byte hdwr sectors (73408 MB)
 target2:0:0: wide asynchronous
 target2:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target2:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target2:0:0: Ending Domain Validation
scsi 2:0:1:0: Direct-Access     COMPAQ   BF072863BA       HPB4 PQ: 0 ANSI: 3
 target2:0:1: tagged command queuing enabled, command queue depth 16.
 target2:0:1: Beginning Domain Validation
sda: Write Protect is off
 target2:0:1: asynchronous
SCSI device sda: write cache: disabled, read cache: enabled, supports DPO and 
FUA
 sda:<6> target2:0:1: wide asynchronous
 target2:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:1: Ending Domain Validation
scsi 2:0:2:0: Direct-Access     COMPAQ   BF072863BA       HPB4 PQ: 0 ANSI: 3
 target2:0:2: tagged command queuing enabled, command queue depth 16.
 target2:0:2: Beginning Domain Validation
 sda1 sda2 sda3 sda4 sda5
 target2:0:2: asynchronous
sd 0:0:1:0: Attached scsi disk sda
 target2:0:2: wide asynchronous
 target2:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:2: Ending Domain Validation
scsi 2:0:3:0: Direct-Access     COMPAQ   BF072863BA       HPB4 PQ: 0 ANSI: 3
 target2:0:3: tagged command queuing enabled, command queue depth 16.
 target2:0:3: Beginning Domain Validation
 target2:0:3: asynchronous
 target2:0:3: wide asynchronous
 target2:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:3: Ending Domain Validation
SCSI device sdb: 143374738 512-byte hdwr sectors (73408 MB)
sdb: Write Protect is off
SCSI device sdb: write cache: disabled, read cache: enabled, supports DPO and 
FUA
SCSI device sdb: 143374738 512-byte hdwr sectors (73408 MB)
sdb: Write Protect is off
SCSI device sdb: write cache: disabled, read cache: enabled, supports DPO and 
FUA
 sdb: sdb1 sdb2 sdb3 sdb4
sd 1:0:0:0: Attached scsi disk sdb
scsi 2:0:15:0: Processor         COMPAQ   PROLIANT 7L7E*DB 2.30 PQ: 0 ANSI: 2
 target2:0:15: Beginning Domain Validation
scsi 2:0:15:0: phase change 6-7 6@40084fa0 resid=4.
 target2:0:15: asynchronous
 target2:0:15: Ending Domain Validation
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: write cache: disabled, read cache: enabled, supports DPO and 
FUA
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: write cache: disabled, read cache: enabled, supports DPO and 
FUA
 sdc: unknown partition table
sd 2:0:0:0: Attached scsi disk sdc
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: write cache: disabled, read cache: enabled, supports DPO and 
FUA
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: write cache: disabled, read cache: enabled, supports DPO and 
FUA
 sdd: unknown partition table
sd 2:0:1:0: Attached scsi disk sdd
SCSI device sde: 142264000 512-byte hdwr sectors (72839 MB)
sde: Write Protect is off
SCSI device sde: write cache: disabled, read cache: enabled, supports DPO and 
FUA
SCSI device sde: 142264000 512-byte hdwr sectors (72839 MB)
sde: Write Protect is off
SCSI device sde: write cache: disabled, read cache: enabled, supports DPO and 
FUA
 sde: unknown partition table
sd 2:0:2:0: Attached scsi disk sde
SCSI device sdf: 142264000 512-byte hdwr sectors (72839 MB)
sdf: Write Protect is off
SCSI device sdf: write cache: disabled, read cache: enabled, supports DPO and 
FUA
SCSI device sdf: 142264000 512-byte hdwr sectors (72839 MB)
sdf: Write Protect is off
SCSI device sdf: write cache: disabled, read cache: enabled, supports DPO and 
FUA
 sdf: unknown partition table
sd 2:0:3:0: Attached scsi disk sdf
Creating root device.
Mounting root filesystem.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Setting up other filesystems.
Setting up new root fs
no fstab.sys, mounting internal defaults
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
SELinux:  Disabled at runtime.
audit(1173196476.174:2): selinux=0 auid=4294967295
INIT: version 2.86 booting
                Welcome to Fedora
                Press 'I' to enter interactive startup.
Impostazione orologio  (utc): mar mar  6 16:54:38 CET 2007 [  OK  ]
Avvio di udev: [  OK  ]
Caricamento tastiera predefinita (us): [  OK  ]
Impostazione dell'hostname integrity:  [  OK  ]
mdadm: /dev/md0 has been started with 4 drives.
No devices found
Impostazione del Logical Volume Management:   No volume groups found
[  OK  ]
Controllo dei filesystem:
Controllo di tutti i filesystem.
[/sbin/fsck.ext3 (1) -- /] fsck.ext3 -a /dev/sdb4
/1: clean, 643239/8650752 files, 6780269/17269548 blocks
[/sbin/fsck.ext3 (1) -- /sda5] fsck.ext3 -a /dev/sda5
/: clean, 139431/8388608 files, 10614759/16745260 blocks
[  OK  ]
Rimontaggio del filesystem root in modalità lettura-scrittura:  [  OK  ]
Montaggio dei filesystem locali:  [  OK  ]
Abilitazione quota dei filesystem locali:  [  OK  ]
INIT: Entering runlevel: 5
Inizio avvio non interattivo
Avvio di sysstat:  Calling the system activity data collector (sadc):
[  OK  ]
Attivazione dell'interfaccia di loopback: [  OK  ]
Attivazione dell'interfaccia bond0:  [  OK  ]
Avvio del logger di sistema: [  OK  ]
Avvio del logger del kernel: [  OK  ]
Avvio di irqbalance: [  OK  ]
Avvio di portmap: [  OK  ]
Avvio di NFS statd: [  OK  ]
Avvio di auditd: audit(1173196490.966:3): audit_pid=1745 old=0 by 
auid=4294967295
[  OK  ]
Avvio di RPC idmapd: [  OK  ]
Avvio del bus di messaggio del sistema: [  OK  ]
Montaggio altri filesystem:  [  OK  ]
error: gethostip not found
Avvio del demone acpi: [  OK  ]
Avvio di cups: [  OK  ]
Avvio di sshd: [  OK  ]
Avvio di xinetd: [  OK  ]
ntpd: Sincronizzazione con l'ora del server: [  OK  ]
Avvio di ntpd: [  OK  ]
Avvio dei servizi NFS:  [  OK  ]
Avvio di NFS quotas: NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state 
recovery directory
[  OK  ]
Avvio del demone NFS: NFSD: starting 90-second grace period
[  OK  ]
Avvio di NFS mountd: [  OK  ]
Avvio di MySQL:  [  OK  ]
Avvio di postfix: [  OK  ]
Avvio di httpd: [  OK  ]
Avvio di crond: [  OK  ]
Avvio dell'accounting dei processi:  [  OK  ]
Avvio dei servizi SMB: Unable to handle kernel NULL pointer dereference 
(address 0000000000000000)
swapper[0]: Oops 11012296146944 [1]
Modules linked in: nfsd exportfs lockd nfs_acl sunrpc bonding ipv6 vfat fat 
dm_mirror dm_multipath dm_mod raid456 xor button parport_pc lp parport sr_mod 
cdrom pata_cmd64x ata_generic libata e1000 sg scsi_wait_scan sym53c8xx mptspi 
mptscsih mptbase scsi_transport_spi sd_mod scsi_mod ext3 jbd mbcache ehci_hcd 
ohci_hcd uhci_hcd

Pid: 0, CPU 0, comm:              swapper
psr : 0000121008022038 ifs : 8000000000000286 ip  : [<a0000001000edbf1>]    Not 
tainted
ip is at move_native_irq+0x91/0x140
unat: 0000000000000000 pfs : 0000000000000205 rsc : 0000000000000003
rnat: 0009804c0270033f bsps: 0000000000000000 pr  : 656960155aa556a5
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c0270033f
csd : 0000000000000000 ssd : 0000000000000000
b0  : a0000001000504b0 b6  : a000000201ec10a0 b7  : a000000100050480
f6  : 000000000000000000000 f7  : 0ffeee4c358c000000000
f8  : 100168ed0cf0000000000 f9  : 1003e00000000000004e0
f10 : 1003e0000000000000060 f11 : 1003e000000000000000d
r1  : a000000100d85e60 r2  : a0000001009ed6b0 r3  : 0000000000005100
r8  : a000000100b86ca8 r9  : 00000000000000a2 r10 : 0000000000000036
r11 : 0000000000200000 r12 : a000000100977bb0 r13 : a000000100970000
r14 : 0000000000200000 r15 : a0000001009ed680 r16 : a000000100b59a00
r17 : 00000000dead4ead r18 : a0000001009ed6cc r19 : 0000000000000000
r20 : a000000100b599b0 r21 : a000000100b599e0 r22 : a000000100b599b0
r23 : e0000040fcfb9e20 r24 : a000000100ba05c0 r25 : a000000202046730
r26 : e0000040fd5f2030 r27 : e0000040472e2350 r28 : a0000001009ed6d0
r29 : 0000000000000000 r30 : a0000001009ed6d8 r31 : a000000100970ca4

Call Trace:
 [<a000000100013f20>] show_stack+0x40/0xa0
                                sp=a000000100977740 bsp=a000000100971088
 [<a000000100014820>] show_regs+0x840/0x880
                                sp=a000000100977910 bsp=a000000100971030
 [<a000000100037e00>] die+0x1c0/0x2a0
                                sp=a000000100977910 bsp=a000000100970fe0
 [<a0000001006010f0>] ia64_do_page_fault+0x8d0/0xa00
                                sp=a000000100977930 bsp=a000000100970f90
Unable to handle kernel NULL pointer dereference (address 0000000000000000)
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=a0000001009779e0 bsp=a000000100970f90
 [<a0000001000edbf0>] move_native_irq+0x90/0x140
                                sp=a000000100977bb0 bsp=a000000100970f60
 [<a0000001000504b0>] iosapic_end_level_irq+0x30/0xe0
                                sp=a000000100977bb0 bsp=a000000100970f40
 [<a0000001000e8330>] __do_IRQ+0x390/0x3c0
                                sp=a000000100977bb0 bsp=a000000100970f00
 [<a000000100011910>] ia64_handle_irq+0x1d0/0x280
                                sp=a000000100977bb0 bsp=a000000100970ed0
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=a000000100977bb0 bsp=a000000100970ed0
 [<a000000100011d50>] ia64_pal_call_static+0x90/0xc0
                                sp=a000000100977d80 bsp=a000000100970e88
 [<a000000100014d90>] default_idle+0x90/0x160
                                sp=a000000100977d80 bsp=a000000100970e68
 [<a000000100013a90>] cpu_idle+0x230/0x440
                                sp=a000000100977e20 bsp=a000000100970e28
 [<a000000100009530>] rest_init+0x70/0xa0
                                sp=a000000100977e20 bsp=a000000100970e10
 [<a0000001007959e0>] start_kernel+0x7e0/0x800
                                sp=a000000100977e20 bsp=a000000100970d90
 [<a0000001000085f0>] __end_ivt_text+0x6d0/0x6f0
                                sp=a000000100977e30 bsp=a000000100970cf0
swapper[0]: Oops 11012296146944 [2]
Kernel panic - not syncing: Aiee, killing interrupt handler!
BUG: warning at kernel/panic.c:137/panic() (Not tainted)

Call Trace:
 [<a000000100013f20>] show_stack+0x40/0xa0
                                sp=a0000001009776d0 bsp=a000000100971100
 [<a000000100013fb0>] dump_stack+0x30/0x60
                                sp=a0000001009778a0 bsp=a0000001009710e8
 [<a00000010007a4c0>] panic+0x420/0x440
                                sp=a0000001009778a0 bsp=a000000100971080
 [<a000000100082c60>] do_exit+0x180/0x12e0
                                sp=a0000001009778f0 bsp=a000000100971030
 [<a000000100037ec0>] die+0x280/0x2a0
                                sp=a000000100977910 bsp=a000000100970fe0
 [<a0000001006010f0>] ia64_do_page_fault+0x8d0/0xa00
                                sp=a000000100977930 bsp=a000000100970f90
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=a0000001009779e0 bsp=a000000100970f90
 [<a0000001000edbf0>] move_native_irq+0x90/0x140
                                sp=a000000100977bb0 bsp=a000000100970f60
 [<a0000001000504b0>] iosapic_end_level_irq+0x30/0xe0
                                sp=a000000100977bb0 bsp=a000000100970f40
 [<a0000001000e8330>] __do_IRQ+0x390/0x3c0
                                sp=a000000100977bb0 bsp=a000000100970f00
 [<a000000100011910>] ia64_handle_irq+0x1d0/0x280
                                sp=a000000100977bb0 bsp=a000000100970ed0
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=a000000100977bb0 bsp=a000000100970ed0
 [<a000000100011d50>] ia64_pal_call_static+0x90/0xc0
                                sp=a000000100977d80 bsp=a000000100970e88
 [<a000000100014d90>] default_idle+0x90/0x160
                                sp=a000000100977d80 bsp=a000000100970e68
 [<a000000100013a90>] cpu_idle+0x230/0x440
                                sp=a000000100977e20 bsp=a000000100970e28
 [<a000000100009530>] rest_init+0x70/0xa0
                                sp=a000000100977e20 bsp=a000000100970e10
 [<a0000001007959e0>] start_kernel+0x7e0/0x800
                                sp=a000000100977e20 bsp=a000000100970d90
 [<a0000001000085f0>] __end_ivt_text+0x6d0/0x6f0
                                sp=a000000100977e30 bsp=a000000100970cf0
Modules linked in: nfsd exportfs lockd nfs_acl sunrpc bonding ipv6 vfat fat 
dm_mirror dm_multipath dm_mod raid456 xor button parport_pc lp parport sr_mod 
cdrom pata_cmd64x ata_generic libata e1000 sg scsi_wait_scan sym53c8xx mptspi 
mptscsih mptbase scsi_transport_spi sd_mod scsi_mod ext3 jbd mbcache ehci_hcd 
ohci_hcd uhci_hcd

Pid: 0, CPU 1, comm:              swapper
psr : 0000121008022018 ifs : 8000000000000286 ip  : [<a0000001000edbf1>]    Not 
tainted
ip is at move_native_irq+0x91/0x140
unat: 0000000000000000 pfs : 0000000000000205 rsc : 0000000000000003
rnat: 0009804c0270033f bsps: a000000100490d40 pr  : 80000000ff5156a5
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c0270033f
csd : 0000000000000000 ssd : 0000000000000000
b0  : a0000001000504b0 b6  : a0000001002b96a0 b7  : a000000100050480
f6  : 000000000000000000000 f7  : 0ffeaf8865bc000000000
f8  : 100129b27200000000000 f9  : 10001e000000000000000
f10 : 1000fb1514924912d1d4e f11 : 1003e00000000000162a2
r1  : a000000100d85e60 r2  : a0000001009edb30 r3  : 0000000000005580
r8  : a000000100b86ca8 r9  : 00000000000000ab r10 : 0000000000000039
r11 : 0000000000200000 r12 : e0000040fe83fbc0 r13 : e0000040fe838000
r14 : 0000000000200000 r15 : a0000001009edb00 r16 : a000000100b59a00
r17 : 00000000dead4ead r18 : a0000001009edb4c r19 : 0000000000000000
r20 : a000000100b599b0 r21 : a000000100b599e0 r22 : a000000100b599b0
r23 : 00000000000000ab r24 : 0000000000000039 r25 : a00000010077ac98
r26 : a0000001000100e0 r27 : a000000100ba0558 r28 : a0000001009edb50
r29 : 0000000000000001 r30 : a0000001009edb58 r31 : e0000040fe838ca4

Call Trace:
 [<a000000100013f20>] show_stack+0x40/0xa0
                                sp=e0000040fe83f750 bsp=e0000040fe838f98
 [<a000000100014820>] show_regs+0x840/0x880
                                sp=e0000040fe83f920 bsp=e0000040fe838f40
 [<a000000100037e00>] die+0x1c0/0x2a0
                                sp=e0000040fe83f920 bsp=e0000040fe838ef8
 [<a0000001006010f0>] ia64_do_page_fault+0x8d0/0xa00
                                sp=e0000040fe83f940 bsp=e0000040fe838ea8
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=e0000040fe83f9f0 bsp=e0000040fe838ea8
 [<a0000001000edbf0>] move_native_irq+0x90/0x140
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e78
 [<a0000001000504b0>] iosapic_end_level_irq+0x30/0xe0
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e58
 [<a0000001000e8330>] __do_IRQ+0x390/0x3c0
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e18
 [<a000000100011910>] ia64_handle_irq+0x1d0/0x280
                                sp=e0000040fe83fbc0 bsp=e0000040fe838de0
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=e0000040fe83fbc0 bsp=e0000040fe838de0
 [<a000000100011d50>] ia64_pal_call_static+0x90/0xc0
                                sp=e0000040fe83fd90 bsp=e0000040fe838d98
 [<a000000100014d90>] default_idle+0x90/0x160
                                sp=e0000040fe83fd90 bsp=e0000040fe838d78
 [<a000000100013a90>] cpu_idle+0x230/0x440
                                sp=e0000040fe83fe30 bsp=e0000040fe838d38
 [<a000000100057790>] start_secondary+0x3f0/0x420
                                sp=e0000040fe83fe30 bsp=e0000040fe838cf0
 [<a0000001000085e0>] __end_ivt_text+0x6c0/0x6f0
                                sp=e0000040fe83fe30 bsp=e0000040fe838cf0
BUG: sleeping function called from invalid context at drivers/char/vt.c:3390
in_atomic():1, irqs_disabled():1

Call Trace:
 [<a000000100013f20>] show_stack+0x40/0xa0
                                sp=e0000040fe83f750 bsp=e0000040fe838fe8
 [<a000000100013fb0>] dump_stack+0x30/0x60
                                sp=e0000040fe83f920 bsp=e0000040fe838fd0
 [<a000000100068980>] __might_sleep+0x1c0/0x1e0
                                sp=e0000040fe83f920 bsp=e0000040fe838fa8
 [<a000000100399ff0>] do_unblank_screen+0x50/0x3a0
                                sp=e0000040fe83f920 bsp=e0000040fe838f78
 [<a00000010039a360>] unblank_screen+0x20/0x40
                                sp=e0000040fe83f920 bsp=e0000040fe838f60
 [<a0000001002ac1f0>] bust_spinlocks+0x50/0x80
                                sp=e0000040fe83f920 bsp=e0000040fe838f40
 [<a000000100037e40>] die+0x200/0x2a0
                                sp=e0000040fe83f920 bsp=e0000040fe838ef8
 [<a0000001006010f0>] ia64_do_page_fault+0x8d0/0xa00
                                sp=e0000040fe83f940 bsp=e0000040fe838ea8
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=e0000040fe83f9f0 bsp=e0000040fe838ea8
 [<a0000001000edbf0>] move_native_irq+0x90/0x140
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e78
 [<a0000001000504b0>] iosapic_end_level_irq+0x30/0xe0
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e58
 [<a0000001000e8330>] __do_IRQ+0x390/0x3c0
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e18
 [<a000000100011910>] ia64_handle_irq+0x1d0/0x280
                                sp=e0000040fe83fbc0 bsp=e0000040fe838de0
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=e0000040fe83fbc0 bsp=e0000040fe838de0
 [<a000000100011d50>] ia64_pal_call_static+0x90/0xc0
                                sp=e0000040fe83fd90 bsp=e0000040fe838d98
 [<a000000100014d90>] default_idle+0x90/0x160
                                sp=e0000040fe83fd90 bsp=e0000040fe838d78
 [<a000000100013a90>] cpu_idle+0x230/0x440
                                sp=e0000040fe83fe30 bsp=e0000040fe838d38
 [<a000000100057790>] start_secondary+0x3f0/0x420
                                sp=e0000040fe83fe30 bsp=e0000040fe838cf0
 [<a0000001000085e0>] __end_ivt_text+0x6c0/0x6f0
                                sp=e0000040fe83fe30 bsp=e0000040fe838cf0
BUG: warning at drivers/char/vt.c:3392/do_unblank_screen() (Not tainted)

Call Trace:
 [<a000000100013f20>] show_stack+0x40/0xa0
                                sp=e0000040fe83f750 bsp=e0000040fe838fc0
 [<a000000100013fb0>] dump_stack+0x30/0x60
                                sp=e0000040fe83f920 bsp=e0000040fe838fa8
 [<a00000010039a090>] do_unblank_screen+0xf0/0x3a0
                                sp=e0000040fe83f920 bsp=e0000040fe838f78
 [<a00000010039a360>] unblank_screen+0x20/0x40
                                sp=e0000040fe83f920 bsp=e0000040fe838f60
 [<a0000001002ac1f0>] bust_spinlocks+0x50/0x80
                                sp=e0000040fe83f920 bsp=e0000040fe838f40
 [<a000000100037e40>] die+0x200/0x2a0
                                sp=e0000040fe83f920 bsp=e0000040fe838ef8
 [<a0000001006010f0>] ia64_do_page_fault+0x8d0/0xa00
                                sp=e0000040fe83f940 bsp=e0000040fe838ea8
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=e0000040fe83f9f0 bsp=e0000040fe838ea8
 [<a0000001000edbf0>] move_native_irq+0x90/0x140
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e78
 [<a0000001000504b0>] iosapic_end_level_irq+0x30/0xe0
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e58
 [<a0000001000e8330>] __do_IRQ+0x390/0x3c0
                                sp=e0000040fe83fbc0 bsp=e0000040fe838e18
 [<a000000100011910>] ia64_handle_irq+0x1d0/0x280
                                sp=e0000040fe83fbc0 bsp=e0000040fe838de0
 [<a00000010000bf80>] ia64_leave_kernel+0x0/0x280
                                sp=e0000040fe83fbc0 bsp=e0000040fe838de0
 [<a000000100011d50>] ia64_pal_call_static+0x90/0xc0
                                sp=e0000040fe83fd90 bsp=e0000040fe838d98
 [<a000000100014d90>] default_idle+0x90/0x160
                                sp=e0000040fe83fd90 bsp=e0000040fe838d78
 [<a000000100013a90>] cpu_idle+0x230/0x440
                                sp=e0000040fe83fe30 bsp=e0000040fe838d38
 [<a000000100057790>] start_secondary+0x3f0/0x420
                                sp=e0000040fe83fe30 bsp=e0000040fe838cf0
 [<a0000001000085e0>] __end_ivt_text+0x6c0/0x6f0
                                sp=e0000040fe83fe30 bsp=e0000040fe838cf0

Comment 1 Fabio Bettoni 2007-03-09 15:38:11 UTC
kernel-2.6.20-1.2981.fc7 is booting


Note You need to log in before you can comment on or make changes to this bug.